Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class pdf_security
        Inherits System.Web.UI.Page

        Protected Sub BtnCreatePdf_Click(sender As Object, e As EventArgs)
            ' create a new pdf document
            Dim doc As New PdfDocument()

            ' add a new page to the document
            Dim page As PdfPage = doc.AddPage()

            ' create a new pdf font
            Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
            font.Size = 20

            ' create a new text element and add it to the page
            Dim text As New PdfTextElement(50, 50, "Pdf Security Settings Sample.", font)
            page.Add(text)

            ' set document passwords
            doc.Security.OwnerPassword = "test1"
            doc.Security.UserPassword = "test2"

            'set document permissions
            doc.Security.CanAssembleDocument = False
            doc.Security.CanCopyContent = True
            doc.Security.CanEditAnnotations = True
            doc.Security.CanEditContent = True
            doc.Security.CanFillFormFields = True
            doc.Security.CanPrint = True

            ' save pdf document
            doc.Save(Response, False, "Sample.pdf")

            ' close pdf document
            doc.Close()
        End Sub
    End Class
End Namespace
